LibreOffice: DefaultFormComponentInspectorModel Service Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Public Member Functions | List of all members
DefaultFormComponentInspectorModel Service Reference

implements a com::sun::star::inspection::XObjectInspectorModel for inspecting form components, in particular all components implementing the FormComponent service. More...

`import"DefaultFormComponentInspectorModel.idl";`

Inheritance diagram for DefaultFormComponentInspectorModel:

## Public Member Functions
| createDefault ()
| creates a default DefaultFormComponentInspectorModel, providing factories for all handlers listed above. More...
| createWithHelpSection ([in] long minHelpTextLines, [in] long maxHelpTextLines) raises ( ::com::sun::star::lang::IllegalArgumentException )
| creates a default DefaultFormComponentInspectorModel, providing factories for all handlers listed above, and describing an ObjectInspector which has a help section. More...
Public Member Functions inherited from XObjectInspectorModel
sequence< PropertyCategoryDescriptor > | describeCategories ()
| describes the property categories used by the property handlers. More...
long | getPropertyOrderIndex ([in] string PropertyName)
| retrieves an index in a global property ordering, for a given property name More...

## Additional Inherited Members
Public Attributes inherited from XObjectInspectorModel
sequence< any > | HandlerFactories
| describes a set of factories for creating XPropertyHandlers More...
boolean | HasHelpSection
| indicates that the object inspector should have a help section. More...
long | MinHelpTextLines
| denotes the minimum number of lines of text to be reserved for the help section. More...
long | MaxHelpTextLines
| denotes the maximum number of lines of text to be reserved for the help section. More...
boolean | IsReadOnly
| determines whether the object inspector's UI should be read-only. More...

## Detailed Description

implements a com::sun::star::inspection::XObjectInspectorModel for inspecting form components, in particular all components implementing the FormComponent service.

A DefaultFormComponentInspectorModel provides the following handlers by default:

- ButtonNavigationHandler
- CellBindingPropertyHandler
- EditPropertyHandler
- EventHandler
- FormComponentPropertyHandler
- SubmissionPropertyHandler
- XMLFormsPropertyHandler
- XSDValidationPropertyHandler

See also
  com::sun::star::inspection::XObjectInspectorModel::HandlerFactories

## Member Function Documentation

## ◆ createDefault()

createDefault | ( |  | ) |

creates a default DefaultFormComponentInspectorModel, providing factories for all handlers listed above.

Since
  OOo 2.2

## ◆ createWithHelpSection()

createWithHelpSection | ( | [in] long | minHelpTextLines,
|  | [in] long | maxHelpTextLines
| ) |  |
raises | ( | ::com::sun::star::lang::IllegalArgumentException
| ) |  |

creates a default DefaultFormComponentInspectorModel, providing factories for all handlers listed above, and describing an ObjectInspector which has a help section.

Parameters

  minHelpTextLines | denotes the minimum number of lines of text to be reserved for the help section.
  maxHelpTextLines | denotes the maximum number of lines of text to be reserved for the help section.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if minHelpTextLines or maxHelpTextLines are negative, or if minHelpTextLines is greater than maxHelpTextLines.

See also
  XObjectInspectorModel::HasHelpSection
  XObjectInspectorModel::MinHelpTextLines
  XObjectInspectorModel::MaxHelpTextLines

Since
  OOo 2.2

The documentation for this service was generated from the following file:

- com/sun/star/form/inspection/DefaultFormComponentInspectorModel.idl